/*********************************************************/
//	NkILSamplePropertySheet.h
//		Header file of ImageInfo PropertySheet class.
//
//	Copyright(c) 2007, Nikon Corporation - All rights reserved.
/*********************************************************/

#pragma once

#include "NkILSampleImgInfoPage.h"
#include "NkILSampleThumbInfoPage.h"
#include "NkILSampleCameraInfoPage.h"

// CNkILSamplePropertySheet

class CNkILSamplePropertySheet : public CPropertySheet
{
	DECLARE_DYNAMIC(CNkILSamplePropertySheet)

public:
	CNkILSamplePropertySheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CNkILSamplePropertySheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	virtual ~CNkILSamplePropertySheet();

	void	SetAllPageInfo(unsigned long ulFormat, NkIL_ImageInfo StrImageInfo, NkIL_ImageInfo StrOrgImageInfo, 
						VECTTHUMBINFO vecThumbInfo, VECTCAMERAINFO vecCameraInfo );
	void	UpdateImageInfoPage();
protected:
	DECLARE_MESSAGE_MAP()

	void	AddAllPage();
	BOOL	OnInitDialog();	
	void	PostNcDestroy();

	CWnd*						m_pParent;
	CNkILSampleImgInfoPage		m_ImgInfoPage;
	CNkILSampleThumbInfoPage	m_ThumbInfoPage;
	CNkILSampleCameraInfoPage	m_CameraInfoPage;
};


